%bcond_without mp3rtp

Summary: A free MP3 codec
Name: lame
Version: 3.99.3
Release: 23.4
License: LGPLv2+
Group: Applications/Multimedia
Source: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
URL: http://lame.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
#BuildRequires: autoconf, automake, libtool
#BuildRequires: gcc-c++
BuildRequires: ncurses-devel, libsndfile-devel, gtk+-devel >= 1.2.0
%ifarch %{ix86} x86_64
BuildRequires: nasm
%endif
Requires: ncurses >= 5.0
Provides: lame-libs = %{version}-%{release}
Provides: mp3encoder = %{version}-%{release}
Obsoletes: lame-libs < %{version}-%{release}, mp3encoder < %{version}-%{release}

%lib_package mp3lame 0
%lib_dependencies

%description
LAME is an educational tool to be used for learning about MP3 encoding.
The goal of the LAME project is to use the open source model to improve
the psycho acoustics, noise shaping and speed of MP3. Another goal of
the LAME project is to use these improvements for the basis of a patent
free audio compression codec for the GNU project.

%prep
%setup -q
sed -i -e '/define sp/s/+/ + /g' libmp3lame/i386/nasm.h
%{_bindir}/iconv -f iso8859-1 -t utf-8 ChangeLog -o ChangeLog.txt
touch -r ChangeLog ChangeLog.txt
mv ChangeLog.txt ChangeLog

%build
#autoreconf
%configure \
  --disable-dependency-tracking \
  --disable-static \
%ifarch %{ix86} x86_64
  --enable-nasm \
%endif
  --enable-decoder \
  --enable-decode-layer1 \
  --enable-mp3x \
  %{?with_mp3rtp:--enable-mp3rtp} \
  --enable-brhist

# Disable RPATH
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make

%check
make test

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# Some apps still expect to find <lame.h>
ln -sf lame/lame.h %{buildroot}%{_includedir}/lame.h

rm -rf %{buildroot}%{_datadir}/doc/%{name}
cat > develfiles.list << EOF
%defattr(-,root,root,-)
%doc API HACKING STYLEGUIDE
EOF

%clean
rm -rf %{buildroot}

%files
%defattr (-,root,root,-)
%doc ChangeLog COPYING LICENSE README TODO USAGE
%doc doc/html/*.html
#doc doc/html/*.css
%{_bindir}/lame
%{_bindir}/mp3x
%if %{with mp3rtp}
%{_bindir}/mp3rtp
%endif
%{_mandir}/man1/lame.1*

%changelog
* Sun Feb 26 2012 cs@linux-administrator.com
- re-import
